commit:     83e4c4ae7b78eff8a58c5395c439277c657d8f26
Author:     Victor Kustov <ktrace <AT> yandex <DOT> ru>
AuthorDate: Tue Oct  9 07:14:40 2018 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Thu Oct 11 08:13:57 2018 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=83e4c4ae

sci-electronics/drahnr-oregano: new package

Alive fork of sci-electronics/oregano.

Signed-off-by: Victor Kustov <ktrace <AT> yandex.ru>
Package-Manager: Portage-2.3.40, Repoman-2.3.9
Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>
Closes: https://github.com/gentoo/gentoo/pull/9533

 sci-electronics/drahnr-oregano/Manifest            |  1 +
 .../drahnr-oregano/drahnr-oregano-0.84.40.ebuild   | 68 ++++++++++++++++++++++
 sci-electronics/drahnr-oregano/metadata.xml        | 21 +++++++
 3 files changed, 90 insertions(+)

diff --git a/sci-electronics/drahnr-oregano/Manifest 
b/sci-electronics/drahnr-oregano/Manifest
new file mode 100644
index 00000000000..155b49806c7
--- /dev/null
+++ b/sci-electronics/drahnr-oregano/Manifest
@@ -0,0 +1 @@
+DIST drahnr-oregano-0.84.40.tar.gz 1879082 BLAKE2B 
8b8e0ffc6af0205018bb1a415f1f0e067d30f8c86681f145b8000a71d414c540c32cfb99af48b9e7c4a1b1e71cebbe76b22c05ccd511797ba7db2efdc8de2079
 SHA512 
f4e38ccf09f148cbe609ccfebe3d3476e6b385f4d002cb951ed0d488d84f65557c0fcac986c6e7657684a07d7f7dac4dda663278ed85363de0dcf48f8d02f73e

diff --git a/sci-electronics/drahnr-oregano/drahnr-oregano-0.84.40.ebuild 
b/sci-electronics/drahnr-oregano/drahnr-oregano-0.84.40.ebuild
new file mode 100644
index 00000000000..2ce8945195d
--- /dev/null
+++ b/sci-electronics/drahnr-oregano/drahnr-oregano-0.84.40.ebuild
@@ -0,0 +1,68 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+PYTHON_COMPAT=( python3_{4,5,6,7} )
+PYTHON_REQ_USE='threads(+)'
+
+inherit gnome2-utils python-any-r1 waf-utils xdg-utils
+
+DESCRIPTION="Application for the schematic capturing and simulation of 
electrical circuits"
+HOMEPAGE="https://github.com/drahnr/oregano";
+SRC_URI="https://github.com/drahnr/oregano/archive/v${PV}.tar.gz -> 
${P}.tar.gz"
+
+LICENSE="GPL-2+"
+SLOT="0"
+KEYWORDS="~amd64 ~ppc ~x86"
+
+S="${WORKDIR}/oregano-${PV}"
+
+COMMON_DEP="dev-libs/glib:2
+       dev-libs/libxml2:2
+       x11-libs/goocanvas:2.0
+       x11-libs/gtk+:3
+       x11-libs/gtksourceview:3.0"
+
+DEPEND="${COMMON_DEP}
+       ${PYTHON_DEPS}
+       virtual/pkgconfig"
+
+RDEPEND="${COMMON_DEP}
+       || ( gnome-base/dconf gnome-base/gconf )
+       sci-electronics/electronics-menu"
+
+pkg_setup() {
+       if [[ ${MERGE_TYPE} != binary ]] ; then
+               python-any-r1_pkg_setup
+       fi
+}
+
+src_configure() { waf-utils_src_configure; }
+
+src_install() {
+       waf-utils_src_install --no-xdg --no-install-gschema
+       docompress -x /usr/share/doc/${PF}/{dev-docs,sequence}
+       dodoc -r docs/{dev-docs,sequence,user-docs}
+       insinto /usr/share/glib-2.0/schemas
+       doins data/settings/io.ahoi.oregano.gschema.xml
+}
+
+pkg_postinst() {
+       gnome2_icon_cache_update
+       gnome2_schemas_update
+       xdg_desktop_database_update
+       xdg_mimeinfo_database_update
+
+       elog "Note: You'll need to emerge your prefered simulation backend"
+       elog "such as sci-electronics/ngspice (preferred) or 
sci-electronics/gnucap"
+       elog "for simulation to work."
+       elog "As an alternative generate a netlist and use 
sci-electronics/spice"
+       elog "from the command line for simulation."
+}
+
+pkg_postrm() {
+       gnome2_icon_cache_update
+       gnome2_schemas_update
+       xdg_desktop_database_update
+       xdg_mimeinfo_database_update
+}

diff --git a/sci-electronics/drahnr-oregano/metadata.xml 
b/sci-electronics/drahnr-oregano/metadata.xml
new file mode 100644
index 00000000000..da419bd7c8a
--- /dev/null
+++ b/sci-electronics/drahnr-oregano/metadata.xml
@@ -0,0 +1,21 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd";>
+<pkgmetadata>
+       <maintainer type="person">
+               <email>[email protected]</email>
+               <name>Victor Kustov</name>
+       </maintainer>
+       <maintainer type="project">
+               <email>[email protected]</email>
+               <name>Proxy Maintainers</name>
+       </maintainer>
+       <longdescription>
+               Oregano is an application for schematic capture and simulation 
of electrical
+               circuits. The actual simulation is performed by Berkeley Spice, 
or GNUcap or
+               the new generation ngspice.
+               It's alive fork of <pkg>sci-electronics/oregano</pkg>
+       </longdescription>
+       <upstream>
+               <remote-id type="github">drahnr/oregano</remote-id>
+       </upstream>
+</pkgmetadata>

Reply via email to